xpath_stack Struct Reference
Collaboration diagram for xpath_stack:
[legend]

## Public Attributes

xpath_allocator * | result
xpath_allocator * | temp

## Detailed Description

Definition at line 6362 of file pugixml.cpp.

## Member Data Documentation

## result

xpath_allocator* xpath_stack::result

Definition at line 6364 of file pugixml.cpp.

Referenced by xpath_ast_node::compare_eq(), xpath_ast_node::compare_rel(), xpath_ast_node::eval_boolean(), xpath_ast_node::eval_node_set(), xpath_ast_node::eval_number(), xpath_ast_node::eval_string(), xpath_ast_node::eval_string_concat(), xpath_ast_node::step_do(), and xpath_stack_data::xpath_stack_data().

## temp

xpath_allocator* xpath_stack::temp

Definition at line 6365 of file pugixml.cpp.

Referenced by xpath_ast_node::eval_node_set(), xpath_ast_node::eval_string(), xpath_ast_node::eval_string_concat(), and xpath_stack_data::xpath_stack_data().

The documentation for this struct was generated from the following file:

- pugixml.cpp